Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.portlet.service.credentialvault
Interface CredentialSlotConfig

All Known Subinterfaces:
  CredentialSlotConfig

    public interface CredentialSlotConfig

Describes the configuration of a credential slot.

Since:
  5.1.0.1

Method Summary
`boolean` | `getActive()` Deprecated. Since 8.5.
`ObjectID` | `getObjectID()` Gets the credential slot's object id.
`ObjectID` | `getPortalCPIID()` If this Vault Slot is user managed and portlet private (a user managed portlet private slot), this method returns the Portlet Instance ID of the portlet.
`java.lang.String` | `getResourceName()` Returns the resource name for this Vault Slot.
`int` | `getSecretType()` Returns the Credential Slot's Secret Type (ID).
`ObjectID` | `getSegmentPortalObjectID()` Returns the Object ID of the Segment this Vault Slot belongs to.
`java.lang.String` | `getSlotId()` Gets the credential slot's id.
`java.lang.String` | `getVaultSlotDescription()` Returns the description for this Vault Slot in the portal default locale as specified in the portal configuration.
`java.lang.String` | `getVaultSlotDescription(java.util.Locale locale)` Returns the description for this vault slot in the specified locale.
`java.util.Map<java.util.Locale,java.lang.String>` | `getVaultSlotDescriptionsMap()` Returns a map of all the descriptions for this Vault Slot.
`java.lang.String` | `getVaultSlotKeywords()` Returns the keywords for this Vault Slot in the portal default locale, as specified in the portal configuration.
`java.lang.String` | `getVaultSlotKeywords(java.util.Locale locale)` Returns the keywords for this Vault Slot in the provided locale.
`java.util.Map<java.util.Locale,java.lang.String>` | `getVaultSlotKeywordsMap()` Returns a map of all the keywords for this Vault Slot.
`boolean` | `isUserManaged()` Returns if this Vault Slot is user managed or not.
`boolean` | `referencesSystemCredential()` Returns if this Vault Slot references a System Credential (i.e., every access maps to the same secret).
`void` | `setActive(boolean active)` Deprecated. Since 8.5.
`void` | `setVaultSlotDescription(java.lang.String description)` Sets the description for this Vault Slot in the portal default locale as specified in the portal configuration.
`void` | `setVaultSlotDescription(java.lang.String description, java.util.Locale locale)` Sets a description for this vault slot in the provided locale.
`void` | `setVaultSlotDescriptions(java.util.Map<java.util.Locale,java.lang.String> slotDescriptions)` Sets all the VaultSlot Descriptions.
`void` | `setVaultSlotKeywords(java.util.Map<java.util.Locale,java.lang.String> slotKeywords)` Sets all the Vault Slot keywords.
`void` | `setVaultSlotKeywords(java.lang.String keywords)` Sets the keywords for this Vault Slot in the portal default locale, as specified in the portal configuration.
`void` | `setVaultSlotKeywords(java.lang.String keywords, java.util.Locale locale)` Sets the keywords for this Vault Slot in the provided locale.

Method Detail

### getSlotId

    java.lang.String getSlotId()

  Gets the credential slot's id. The slot ids are the keys in the database to store the slot. Therefore they are unique per portal.

  Returns:
    String The Credential Slot's id as String object.

### getObjectID

    ObjectID getObjectID()

  Gets the credential slot's object id.

  Returns:
    ObjectID The Credential Slot's object id.

### getVaultSlotDescription

    java.lang.String getVaultSlotDescription(java.util.Locale locale)

  Returns the description for this vault slot in the specified locale.

  Parameters:
    `locale` - of the description to be returned. The default is returned if the locale is null.
  Returns:
    String The description for this Vault Slot in the specified locale. Null is returned if no description is available.

### setVaultSlotDescription

    void setVaultSlotDescription(java.lang.String description,
                                 java.util.Locale locale)

  Sets a description for this vault slot in the provided locale.

  Parameters:
    `description` - Translated Description. The description is set to null if the parameter is null.
    `locale` - The Locale the description is in; without a locale nothing is set.

### getVaultSlotDescription

    java.lang.String getVaultSlotDescription()

  Returns the description for this Vault Slot in the portal default locale as specified in the portal configuration.

  Returns:
    Vault Slot description in the default locale

### setVaultSlotDescription

    void setVaultSlotDescription(java.lang.String description)

  Sets the description for this Vault Slot in the portal default locale as specified in the portal configuration.

  Parameters:
    `description` - Description

### getVaultSlotDescriptionsMap

    java.util.Map<java.util.Locale,java.lang.String> getVaultSlotDescriptionsMap()

  Returns a map of all the descriptions for this Vault Slot.

  Returns:
    Map from `java.util.Locale` to `String`. Map of all the descriptions for this Vault Slot, keyed by the locale.

### setVaultSlotDescriptions

    void setVaultSlotDescriptions(java.util.Map<java.util.Locale,java.lang.String> slotDescriptions)

  Sets all the VaultSlot Descriptions. If the map is empty, nothing is set.

  Parameters:
    `slotDescriptions` - Descriptions as string, keyed by locale (Map from `java.util.Locale` to `String`.).

### getVaultSlotKeywords

    java.lang.String getVaultSlotKeywords(java.util.Locale locale)

  Returns the keywords for this Vault Slot in the provided locale.

  Parameters:
    `locale` - Locale of the keywords to be returned If the keywords for the given locale are not available, this method will return the keywords for the portal default Locale, as specified in the portal configuration.
  Returns:
    The keywords for this Vault Slot in the specified locale

### setVaultSlotKeywords

    void setVaultSlotKeywords(java.lang.String keywords,
                              java.util.Locale locale)

  Sets the keywords for this Vault Slot in the provided locale.

  Parameters:
    `keywords` - Translated keywords, can be any string. If the keyword is null, null is set as keyword.
    `locale` - Locale of the keywords. Nothing is set, if the locale is null.

### getVaultSlotKeywords

    java.lang.String getVaultSlotKeywords()

  Returns the keywords for this Vault Slot in the portal default locale, as specified in the portal configuration.

  Returns:
    Vault Slot keywords in the default locale

### setVaultSlotKeywords

    void setVaultSlotKeywords(java.lang.String keywords)

  Sets the keywords for this Vault Slot in the portal default locale, as specified in the portal configuration.

  Parameters:
    `keywords` -

### getVaultSlotKeywordsMap

    java.util.Map<java.util.Locale,java.lang.String> getVaultSlotKeywordsMap()

  Returns a map of all the keywords for this Vault Slot.

  Returns:
    Map of all the keywords for this Vault Slot, keyed by locale.

### setVaultSlotKeywords

    void setVaultSlotKeywords(java.util.Map<java.util.Locale,java.lang.String> slotKeywords)

  Sets all the Vault Slot keywords.

  Parameters:
    `slotKeywords` - Map of all keywords, keyed by locale (Map from `java.util.Locale` to `String`

  ### getResourceName

      java.lang.String getResourceName()

    Returns the resource name for this Vault Slot. There is always a resource name. Note: This is not the Credential Slot's ID, which is often used to access or modify the slot. For such a purpose, retrieve the Slot ID through `getSlotId()`.

    Returns:
      String the resource name

  ### getSegmentPortalObjectID

      ObjectID getSegmentPortalObjectID()

    Returns the Object ID of the Segment this Vault Slot belongs to.

    Returns:
      ObjectID The Object ID of the Segment for this Vault Slot

  ### getSecretType

      int getSecretType()

    Returns the Credential Slot's Secret Type (ID). The Secret Type constants are definied in the `CredentialVaultService` class.

    Returns:
      int The Credential Slot's Secret Type
    See Also:
      `CredentialVaultService`

  ### isUserManaged

      boolean isUserManaged()

    Returns if this Vault Slot is user managed or not.

    Returns:
      `true` if this Vault Slot is user managed, `false` if it is admin managed.

  ### referencesSystemCredential

      boolean referencesSystemCredential()

    Returns if this Vault Slot references a System Credential (i.e., every access maps to the same secret). Note: only admin managed vault slots may reference system credentials.

    Returns:
      `true` if this Vault Slot references a System Credential, `false` if it references a User or Admin Credentila (non-system).

  ### getPortalCPIID

      ObjectID getPortalCPIID()

    If this Vault Slot is user managed and portlet private (a user managed portlet private slot), this method returns the Portlet Instance ID of the portlet. Through this CPIID, the Credential Vault makes sure that only the portlet that originally created this Slot can access it.

    Returns:
      CPIID of the portlet, null if the Slot is not portlet private or not user managed

  ### getActive

      boolean getActive()

    Deprecated. Since 8.5.

    Returns the Credential Slot's active/passive flag.

    Returns:
      `true` if the credential secret in this slot may only be provided in form of an active credential object, `false` otherwise.
    See Also:
      `ActiveCredential`, `PassiveCredential`

  ### setActive

      void setActive(boolean active)

    Deprecated. Since 8.5.

    Sets the Credential Slot's active/passive flag.

    Parameters:
      `active` - Set to `true` if the credential secret in this slot may only be provided in form of an active credential object, to `false` otherwise.
    See Also:
      `ActiveCredential`, `PassiveCredential`

  Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD